Subject: RE: [Patch 1/3] connect.c: add nonstopssh variant to the sshVariant set.

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 30 Apr 2021 12:38:18 -0400

On April 30, 2021 12:25 PM, Elijah Newren wrote:
>On Fri, Apr 30, 2021 at 7:58 AM Randall S. Becker <[email-masked]>
>wrote:
>>
>> From ba4beb8ed0dff67ae6b95692d346adce346e2871 Mon Sep 17 00:00:00
>2001
>> From: "Randall S. Becker" <[email-masked]>
>> Date: Fri, 30 Apr 2021 09:56:09 -0400
>> Subject: [Patch 1/3] connect.c: add nonstopssh variant to the sshVariant set.
>>
>> This enhancement allows the NonStop SSH subsystem to be supported by
>> git without the need of a wrapper script. The command arguments for
>> the platform SSH client in /G/system/zssh/sshoss are constructed based
>> on optional supplied environment variables SSH2_PROCESS_NAME (system
>> defined), SSH_SUPPRESS_QUIET, and SSH_SUPPRESS_BANNER.
>
>Before introducing 3 new special environment variables, I think this commit
>message should explain why you can't just use
>
>GIT_SSH_COMMAND="/G/system/zssh/sshoss -Z -Q -S"

No, it would be GIT_SSH_COMMAND='/G/system/zssh/sshoss -Z -Q -S $ZSSH0' and that does not work correctly in the current git code base.

>particularly since GIT_SSH_COMMAND was introduced specifically so people
>wouldn't have to create wrapper scripts to pass to GIT_SSH.

Going back through the archive to why this is needed: https://public-inbox.org/git/[email-masked]/

The SSH2_PROCESS_NAME is a system environment variable, not something I am introducing, that specifies the name of the SSH process. It's format is [\NODE.]$NAME, which causes shell to blank it out. A wrapper script is currently mandatory on this platform.

I have been looking for a solution since that thread.

-Randall